Bug 480146 - Review Request: python-bicyclerepair - Python Refactoring Browser
Review Request: python-bicyclerepair - Python Refactoring Browser
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 07:07 EST by Jerome Soyer
Modified: 2010-12-08 09:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 09:57:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review-


Attachments (Terms of Use)
build log from local build (34.13 KB, text/plain)
2009-01-20 12:43 EST, Jochen Schmitt
no flags Details
Suggested SPEC file for python-bicyclerepair (2.19 KB, text/plain)
2009-01-28 10:17 EST, Jochen Schmitt
no flags Details

  None (edit)
Description Jerome Soyer 2009-01-15 07:07:45 EST
Spec URL: http://saispo.fedorapeople.org/python-bicyclerepair.spec
SRPM URL: http://saispo.fedorapeople.org/python-bicyclerepair-0.9-1.fc11.src.rpm
Description:
The Python Refactoring Browser, helping Pythonistas everywhere
glide over the gory details of refactoring their code. Watch him
extract jumbled code into well ordered classes. Gasp, as he renames
all occurrences of a method. Thank You Bicycle Repair Man!

I see with Alexander Kurtakov and bicyclerepair will help for building and maintaining eclipse-pydev.

Thanks.
Comment 1 Jochen Schmitt 2009-01-15 13:32:16 EST
God:
+ Package name fits naming guideline
+ Basename of SPEC file fits package name
+ Could download upstrem tar ball via spectool
+ Tar ball in Package matches with upstream
(md5sum: 825f48384febefacf0717738e909321)
+ Consistently usage of rpm macros
+ Package contains most recent release of thw software
+ License tag has a valid value
+ License tag state BSD as a valid OSS license
+ Package contains a verbatin license text
+ Local build works fine
+ Package will build as noarch
+ Rpmlint ok for source rpm
+ Buildroot will be cleaned on the beginning of %install and %clean
% All packaged files are owned by the package
+ No files has a complict with other package
+ %doc stanza is small, so we need no extra doc subpackage
+ Proper %changelog stanza


Bad:
- Rpmlint complaints, that file in %{python_sitelib} should be executables
- Please notify upstream, that eatch source file should have a copyright notice
- Koji build failed. Please change 'BR python' to 'BR python-devel'
Comment 2 Jerome Soyer 2009-01-19 05:07:58 EST
Hi,

I put a -2 version with the fixed things. For file in %{python_sitelib} i prefer to chmod 0644 and remove the shebang, i think it's not necessary

You can find files here :

http://saispo.fedorapeople.org/python-bicyclerepair.spec
http://saispo.fedorapeople.org/python-bicyclerepair-0.9-2.fc11.src.rpm

Thanks.
Comment 3 Jochen Schmitt 2009-01-19 11:15:51 EST
Good:
+ Build on Koji works fine.
+ Rpmlint is quite on binary rpm.

Bad
- Local build fails:
writing dependency_links to ide-integration/bicyclerepair.egg-info/dependency_links.txt
writing manifest file 'ide-integration/bicyclerepair.egg-info/SOURCES.txt'
warning: manifest_maker: standard file '-c' not found
reading manifest file 'ide-integration/bicyclerepair.egg-info/SOURCES.txt'
writing manifest file 'ide-integration/bicyclerepair.egg-info/SOURCES.txt'
Copying ide-integration/bicyclerepair.egg-info to /home/s4504kr/rpmbuild/BUILDROOT/python-bicyclerepair-0.9-2.fc10.x86_64/usr/lib/python2.5/site-packages/bicyclerepair-0.9-py2.5.egg-info
Comment 4 Jerome Soyer 2009-01-20 04:14:41 EST
Hmmm, don't understand, build fine for me under Rawhide localy, have you more log ?
Comment 5 Jochen Schmitt 2009-01-20 12:43:34 EST
Created attachment 329492 [details]
build log from local build

Of corse I can offer you a build log. I hope this may be helpful for you.
Comment 6 Jerome Soyer 2009-01-27 05:37:41 EST
Hi, excuse me i'm away for a couple of days.

I see the error but haven't got any 64bits machine to test, it's due to %{_lib} in chmod command under 64bits which try to use /usr/lib64 and all python-bicyclerpair files are un /usr/lib.

I think i must patch the setup.py or something else.

Will see.

Thanks for the build log.
Comment 7 Jochen Schmitt 2009-01-28 10:17:55 EST
Created attachment 330235 [details]
Suggested SPEC file for python-bicyclerepair

I have found the x86_64 reletating issue. You have to use the %{python_sitelib} macro instead of %{_libdir} on the find command in your SPEC files.

Additionaly, I think we can remove the python-devel BR, because it's only require for compiled python extension.
Comment 8 Jochen Schmitt 2009-02-04 14:54:22 EST
Unfortunately, I have to find out, that we have to add 'BR python-devel' in opposite of my statement in #7. On my local system I could build it without this BR, but on dist-f11 it doesn't works properly.
Comment 9 Jerome Soyer 2009-02-04 16:15:35 EST
Hi Jochen,

Thanks for your work on python-bicyclerepair. I just reinstall my broken machine and reinstall a 64bit Fedora for testing it but you have been faster ;-)

I will modify the spec and resubmit you a SRPM tomorrow :)

Good evening ! I think python-devel BR must be, it's more safe no ?
Comment 11 Jochen Schmitt 2009-02-05 11:43:43 EST
Good:
+ Local build works fine.
+ Build on koji works fine.
+ Rpmlint is silent for source and binary packages
+ Local install works fine
+ Local uninstall works fine.

Bad:
- Unncessary Provides
- No subpackages emacs-python-bicyclerepair and vim-python-bicyciclyrepair for integration in emacs or vim.
Comment 12 Jerome Soyer 2009-02-06 07:51:50 EST
Ok, i see for building the ide-integration but emacs needs pymacs wich is not under Fedora but in the package, i made a subpackage emacs-pymacs or i drop emacs support from bicycle repair ?

Thanks
Comment 13 Jochen Schmitt 2009-02-08 13:23:53 EST
I would to like to see a separate package for pymacs. I dislike to drop the ide support for emacs, because emacs is a wide spreaded editor.
Comment 14 Jochen Schmitt 2009-04-23 13:30:02 EDT
PIng aispo
Comment 15 Jochen Schmitt 2009-06-03 13:23:29 EDT
Ping Jerome

If i don't see any action for this review in the next four weeks, I will release this review as a staled review.
Comment 16 Jochen Schmitt 2009-11-09 10:35:57 EST
Ping Jerome

If I not see any feedback until 12/9/2009, I max drop this review reqest.
Comment 17 Alexander Kurtakov 2010-12-08 08:16:38 EST
Please close the bug. Looks like Jerome is not interested in it anymore.

Note You need to log in before you can comment on or make changes to this bug.